List orders for the authenticated partner
curl --request GET \
--url https://api-staging.tickify.io/partners/orders \
--header 'x-partner-key: <api-key>'import requests
url = "https://api-staging.tickify.io/partners/orders"
headers = {"x-partner-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-partner-key': '<api-key>'}};
fetch('https://api-staging.tickify.io/partners/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.tickify.io/partners/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-partner-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.tickify.io/partners/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-partner-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.tickify.io/partners/orders")
.header("x-partner-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.tickify.io/partners/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-partner-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"stripeSessionId": "<string>",
"eventKey": "<string>",
"status": "<string>",
"totalAmount": 123,
"currency": "<string>",
"customerEmail": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}Partner Orders
List orders for the authenticated partner
Retrieve paginated list of orders for events owned by the authenticated partner.
Authentication: Requires valid Partner API Key in x-partner-key header.
Filters:
eventId: Filter by specific eventstatus: Filter by order statusstartDate/endDate: Filter by creation date range (ISO 8601)externalOrderId: Filter by your external order referencepage: Page number (default: 1)limit: Items per page (default: 20, max: 100)
Note: Orders are matched via finance transactions to ensure accurate partner attribution.
GET
/
partners
/
orders
List orders for the authenticated partner
curl --request GET \
--url https://api-staging.tickify.io/partners/orders \
--header 'x-partner-key: <api-key>'import requests
url = "https://api-staging.tickify.io/partners/orders"
headers = {"x-partner-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-partner-key': '<api-key>'}};
fetch('https://api-staging.tickify.io/partners/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.tickify.io/partners/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-partner-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.tickify.io/partners/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-partner-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.tickify.io/partners/orders")
.header("x-partner-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.tickify.io/partners/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-partner-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"stripeSessionId": "<string>",
"eventKey": "<string>",
"status": "<string>",
"totalAmount": 123,
"currency": "<string>",
"customerEmail": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}Authorizations
Partner API Key (tk_live_... or tk_test_...)
Query Parameters
Filter by your external order ID
Filter by end date (ISO 8601)
Filter by start date (ISO 8601)
Filter by order status
Filter by event ID
Items per page (default: 20)
Page number (default: 1)

